> ## Documentation Index
> Fetch the complete documentation index at: https://docs.droxy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chatbot Conversations

> Get the chatbot conversations.



## OpenAPI

````yaml /api-reference/v1.json get /v1/conversation/{id}
openapi: 3.0.0
info:
  title: Droxy API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.droxy.ai
security: []
tags: []
paths:
  /v1/conversation/{id}:
    get:
      tags:
        - Conversation
      summary: Get Chatbot Conversations
      description: Get the chatbot conversations.
      operationId: ApiConversationController_getConversations
      parameters:
        - name: id
          required: true
          in: path
          description: The chatbot's id.
          schema:
            type: string
        - name: start
          required: false
          in: query
          description: >-
            The beginning of the date range to query. Unix timestamp in
            milliseconds.
          schema:
            type: number
        - name: end
          required: false
          in: query
          description: The end of the date range to query. Unix timestamp in milliseconds.
          schema:
            type: number
        - name: sourceTypes
          required: false
          in: query
          description: >-
            An array of conversation source types to filter on. Values can be
            'app', 'website', 'link', 'discord', or 'zapier'. Leave empty to not
            filter on source type.
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExportedConversationsData'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '404':
          description: Element not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    ApiExportedConversationsData:
      type: object
      properties:
        chatbotName:
          type: string
          description: The chatbot's name.
        startInterval:
          type: string
          description: >-
            The beginning of the date range to query. Unix timestamp in
            milliseconds.
        endInterval:
          type: string
          description: The end of the date range to query. Unix timestamp in milliseconds.
        createdAt:
          type: string
          description: The date the chatbot was created. Unix timestamp in milliseconds.
        conversations:
          description: An array of conversations.
          type: array
          items:
            $ref: '#/components/schemas/ApiExportedConversation'
      required:
        - chatbotName
        - startInterval
        - endInterval
        - createdAt
        - conversations
    ApiErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: Error status code.
        message:
          description: Error message or an array of error messages.
          type: array
          items:
            type: string
        error:
          type: string
          description: Source of the error.
      required:
        - statusCode
        - message
        - error
    ApiExportedConversation:
      type: object
      properties:
        id:
          type: string
          description: The conversation's ID.
        createdAt:
          type: number
          description: >-
            The date the conversation was created. Unix timestamp in
            milliseconds.
        source:
          description: The source of the conversation.
          allOf:
            - $ref: '#/components/schemas/ConversationSource'
        messages:
          description: An array of messages.
          type: array
          items:
            $ref: '#/components/schemas/ApiChatMessageDto'
        analysis:
          description: The analysis of the conversation.
          allOf:
            - $ref: '#/components/schemas/ApiConversationAnalysis'
      required:
        - id
        - createdAt
        - source
        - messages
    ConversationSource:
      type: object
      properties:
        type:
          type: string
          description: >-
            The conversation source type. Values can be 'app', 'website',
            'link', 'discord', 'zapier', 'whatsapp' or 'api'.
        discordChannelId:
          type: string
          description: >-
            The discord channel id. Defined only if the conversation source type
            is 'discord'.
        whatsAppInfo:
          description: >-
            The phone number info. Defined only if the conversation source type
            is 'whatsapp'.
          allOf:
            - $ref: '#/components/schemas/WhatsAppConversationInfo'
        facebookInfo:
          description: >-
            The facebook info. Defined only if the conversation source type is
            'facebook'.
          allOf:
            - $ref: '#/components/schemas/FacebookConversationInfo'
        instagramInfo:
          description: >-
            The instagram info. Defined only if the conversation source type is
            'instagram'.
          allOf:
            - $ref: '#/components/schemas/InstagramConversationInfo'
      required:
        - type
        - discordChannelId
        - whatsAppInfo
        - facebookInfo
        - instagramInfo
    ApiChatMessageDto:
      type: object
      properties:
        text:
          type: string
          description: The message's text.
        fromUser:
          type: boolean
          description: If the message is from the user.
      required:
        - text
        - fromUser
    ApiConversationAnalysis:
      type: object
      properties:
        status:
          type: string
          description: >-
            The status of the conversation analysis. Values can be 'GENERATING',
            'REFRESHING', 'COMPLETED' or 'FAILED'.
        result:
          description: The result of the conversation analysis.
          allOf:
            - $ref: '#/components/schemas/ApiConversationAnalysisResult'
      required:
        - status
    WhatsAppConversationInfo:
      type: object
      properties:
        replyingPhoneNumberId:
          type: string
          description: >-
            The unique identifier for the phone number used to reply to the
            user.
        replyingPhoneNumber:
          type: string
          description: The formatted phone number used to reply to the user.
        senderPhoneNumber:
          type: string
          description: The phone number of the user who sent the message.
        senderName:
          type: string
          description: The name of the user who sent the message.
      required:
        - replyingPhoneNumberId
        - replyingPhoneNumber
        - senderPhoneNumber
        - senderName
    FacebookConversationInfo:
      type: object
      properties:
        pageId:
          type: string
          description: The facebook page id.
        senderId:
          type: string
          description: The facebook sender id.
        senderName:
          type: string
          description: The facebook sender name.
      required:
        - pageId
        - senderId
        - senderName
    InstagramConversationInfo:
      type: object
      properties:
        instagramAccountId:
          type: string
          description: The instagram account id.
        senderId:
          type: string
          description: The instagram sender id.
        senderUsername:
          type: string
          description: The instagram sender username.
        senderName:
          type: string
          description: The instagram sender name.
      required:
        - instagramAccountId
        - senderId
        - senderUsername
    ApiConversationAnalysisResult:
      type: object
      properties:
        summary:
          type: string
          description: The summary of the conversation analysis.
        extractedData:
          description: The extracted data of the conversation analysis.
          allOf:
            - $ref: '#/components/schemas/ApiDefaultExtractedConversationData'
        customExtractedData:
          type: object
          description: The custom extracted data of the conversation analysis.
      required:
        - summary
        - extractedData
        - customExtractedData
    ApiDefaultExtractedConversationData:
      type: object
      properties:
        keyPoints:
          description: The key points of the conversation analysis.
          type: array
          items:
            type: string
        nextSteps:
          description: The next steps of the conversation analysis.
          type: array
          items:
            type: string
        sentimentAnalysis:
          type: string
          description: >-
            The sentiment analysis of the conversation analysis. Values can be
            'VERY_POSITIVE', 'POSITIVE', 'SLIGHTLY_POSITIVE', 'NEUTRAL',
            'SLIGHTLY_NEGATIVE', 'NEGATIVE', or 'VERY_NEGATIVE'.
        intentClassification:
          type: string
          description: >-
            The intent classification of the conversation analysis. Values can
            be 'APPOINTMENT', 'INQUIRY', 'COMPLAINT', 'FEEDBACK', or 'SUPPORT'.
      required:
        - keyPoints
        - nextSteps
        - sentimentAnalysis
        - intentClassification
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````